Name:		ksynaptics
Summary:	KDE configuration for synaptics module
Version:	0.3.1
Release:	3%{?dist}
License:	GPL
Group:		Applications/Utilities
URL:		http://sourceforge.net/projects/qsynaptics
Source0:	http://qsynaptics.sourceforge.net/%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:	libsynaptics-devel, kdelibs-devel, gettext, desktop-file-utils
Requires:       hicolor-icon-theme


%description
KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers. 


%prep 
%setup -q

%build
%configure --disable-rpath
make %{?_smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT%{_datadir}/locale
sed -i -e s/^Keywords/X-KDE-Keywords/ \
       $RPM_BUILD_ROOT/%{_datadir}/applications/kde/%{name}.desktop
desktop-file-install \
       --vendor="" --add-category=X-Fedora \
       --dir %{buildroot}%{_datadir}/applications/kde \
       $RPM_BUILD_ROOT/%{_datadir}/applications/kde/%{name}.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/syndock
%{_libdir}/kde3/kcm_ksynaptics.la
%{_libdir}/kde3/kcm_ksynaptics.so
%{_libdir}/kde3/syndock.la
%{_libdir}/kde3/syndock.so
%{_libdir}/libkdeinit_syndock.la
%{_libdir}/libkdeinit_syndock.so
%{_datadir}/applications/kde/ksynaptics.desktop
%{_datadir}/autostart/syndock.desktop
%{_datadir}/config.kcfg/kcm_ksynaptics.kcfg
%{_datadir}/icons/hicolor/128x128/apps/ksynaptics.png
%{_datadir}/icons/hicolor/128x128/apps/syndockdisabled.png
%{_datadir}/icons/hicolor/16x16/apps/ksynaptics.png
%{_datadir}/icons/hicolor/16x16/apps/syndockdisabled.png
%{_datadir}/icons/hicolor/32x32/apps/ksynaptics.png
%{_datadir}/icons/hicolor/32x32/apps/syndockdisabled.png
%{_datadir}/icons/hicolor/48x48/apps/ksynaptics.png
%{_datadir}/icons/hicolor/48x48/apps/syndockdisabled.png
%{_datadir}/icons/hicolor/64x64/apps/ksynaptics.png
%{_datadir}/icons/hicolor/64x64/apps/syndockdisabled.png


%changelog
* Thu Sep  7 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.3.1-3
- Rebuild for FC6

* Fri Jul 28 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.3.1-2
- Add icon post/postun scripts 
- Add Requires: hicolor-icon-theme
- Remove old QTDIR hack
- Cleanup desktop file

* Fri Jul 28 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.3.1-1
- Update to 0.3.1

* Thu Mar  2 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.3.0-1
- Update to 0.3.0

* Thu Nov  3 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.2.3-1
- Initial Fedora Extras version
